@import "../../../../assets/styles/colors";
@import "../../../../assets/styles/fonts";

::ng-deep {
  .mat-form-field-appearance-legacy .mat-form-field-infix {
    width: 100%;
  }
  .mat-form-field {
    font-family: $main-font-family;
  }

  mat-label {
    color: $font-secondary-color;
  }

  .mat-form-field-appearance-legacy .mat-form-field-underline {
    background-color: $font-secondary-color;
  }

  .mat-chip.mat-standard-chip {
    color: $font-primary-color;
    font-weight: normal;
  }

  .mat-chip-list-wrapper {
    display: flex;
    margin: -4px;
    align-items: center;
    flex-direction: row;
    width: 100%;
    flex-wrap: wrap;
  }

  .mat-chip-list-wrapper input.mat-input-element::placeholder {
    color: $font-primary-color;
  }

  .mat-form-field {
    line-height: normal;
  }

  .mat-standard-chip.mat-chip-with-trailing-icon {
    font-size: 16px;
    padding: 19px 12px 19px 32px !important;
    border-radius: 40px;
  }
}
